package com.noorija.secret.guard.text

object Command {
    const val SECRET_GUARD_PREF_NAME                        = "NOORIJA_SECRET_GUARD"
    const val SECRET_GUARD_PREF_NAME_APP_KEY                = SECRET_GUARD_PREF_NAME + "_APP_KEY"
    const val SECRET_GUARD_PREF_NAME_HASHED_KEY             = SECRET_GUARD_PREF_NAME + "_HASHED_KEY"
    const val SECRET_GUARD_PREF_NAME_CONNECTION_KEY         = SECRET_GUARD_PREF_NAME + "_CONNECTION_KEY"

    const val SECRET_GUARD_PREF_APP_IS_FIRST                 = SECRET_GUARD_PREF_NAME + "_IS_FIRST"
    const val SECRET_GUARD_PREF_BACKGROUND_PAUSE_TIME        = SECRET_GUARD_PREF_NAME + "_BACKGROUND_PAUSE_TIME"

    const val PARAMETER_X_AUTH_HEADER                        = "Authorization"
//    const val PARAMETER_X_AUTH_TOKEN                        = "X-AUTH-TOKEN"
    const val PARAMETER_X_AUTH_TOKEN                        = SECRET_GUARD_PREF_NAME + "_X-AUTH-TOKEN"

    const val SECRET_GUARD_NOTIFICATION_CHANNEL_ID           = "NOTIFICATION_CHANNEL_ID"

    // Page Link
    const val APP_LINK_ABOUT_BLANK              = "about:blank"
    const val APP_LINK_HOME                     = "app:home"
}