package com.noorija.secret.guard.text

enum class Enums {
}

enum class AppStatus {
    BACKGROUND, RETURN_TO_FOREGROUND, FOREGROUND
}

enum class AppUpgradeType {
    NONE,
    MAJOR,
    MINER
}

enum class DialogType {
    ALERT,
    CONFIRM
}

enum class DialogResultType {
    CANCEL,
    CONFIRM
}

enum class ErrorRest(var code: Int, var message: String) {
    SIGNIN_FAIL     (10000, "로그인에 실패하였습니다."),
    SERVER_ERR      (50000, "관리자에게 문의하세요."),

    EMPTY_OK        (20000, ""),
    SAVE_OK         (20001, "저장 되었습니다."),
    UPDATE_OK       (20002, "수정 되었습니다."),
    DELETE_OK       (20003, "삭제 되었습니다."),
    EMAIL_CHK_OK    (20005, "사용 가능한 이메일 입니다."),
    PW_CHK_OK       (20006, "비밀번호가 변경되었습니다."),
    CONF_CERT_OK    (21001, "인증 되었습니다."),

    NETWORK_UNKNOWN (99999, "통신 상태가 원활하지 않습니다.")
}

enum class PageView {
    FINISH, TUTORIAL, STORE, MAIN, SCANNER, DIALOG, ALERT, BACK
}

enum class PageAction {
    DOWNLOAD, MODIFY, DELETE
}

enum class FloatingMenuType {
    MENU, HOME, SET, FAQ, ASK, NOTICE, MANUAL, QR
}
