package com.noorija.secret.guard.util

import java.util.regex.Pattern

object ValidCheck{

    fun checkPhone(phone: String?): Boolean {
        if(phone.isNullOrBlank()) return false
        if(phone.replace("-", "") == "0100000000"
            || phone.replace("-", "") == "01000000000") return false
        return Pattern.matches("^01(?:0|1|[6-9])[.-]?(?:\\d{3}|\\d{4})[.-]?(\\d{4})$", phone)
    }
}