package com.noorija.secret.guard.view.fragment

import android.os.Bundle
import androidx.fragment.app.viewModels
import com.noorija.secret.guard.R
import com.noorija.secret.guard.databinding.FmtPublicRegistBinding
import com.noorija.secret.guard.viewmodel.fragment.PublicRegistFragmentViewModel

class PublicRegistFragment : BaseFragment<FmtPublicRegistBinding, PublicRegistFragmentViewModel>() {
    companion object {
        @JvmStatic
        fun newInstance() =
            PublicRegistFragment().apply {
                arguments = Bundle().apply {
                }
            }
    }

    override val layoutResourceId: Int
        get() = R.layout.fmt_public_regist
    override val viewModel : PublicRegistFragmentViewModel by viewModels()

    override fun initDataBinding() {
    }

    override fun initAfterBinding() {
        viewDataBinding.viewModel = viewModel
        subscribeData()
    }

    private fun subscribeData() {

    }
}