package com.noorija.secret.guard.viewmodel

import android.app.Application
import com.noorija.secret.guard.rest.ExceptionDTO
import com.noorija.secret.guard.text.PageView
import com.noorija.secret.guard.util.SingleLiveEvent

class RtcWebViewViewModel(application: Application): BaseViewModel<Any>(application) {

    val closeEvent: SingleLiveEvent<Any> = SingleLiveEvent()

    init {
    }

    fun onClickClose(){
        closeEvent.value = PageView.BACK
    }

    override fun onRetrieveDataSuccess(data: Any) {
        when (data) {
        }
    }

    override fun onRetrieveDataError(resError: ExceptionDTO?) {
        showToast(resError?.message)
    }

}