package com.noorija.secret.guard.webrtc

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.os.Build

class FindCallRebootReceiver : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent?) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            val intent = Intent(context, FindCallRestartService::class.java)
            context.startForegroundService(intent)
        } else {
            val intent = Intent(context, FindCallService::class.java)
            context.startService(intent)
        }
    }
}