package com.noorija.rtc

const val LOCAL_STREAM_ID = "ARDAMSs0"
const val VIDEO_TRACK_ID = "ARDAMSv0"
const val AUDIO_TRACK_ID = "ARDAMSa0"
const val FIELD_TRIAL = "WebRTC-H264HighProfile/Enabled/"

const val OFFER_TO_RECEIVE_VIDEO = "OfferToReceiveVideo"
const val OFFER_TO_RECEIVE_AUDIO = "OfferToReceiveAudio"
const val DTLS_SRTP_KEY_AGREEMENT = "DtlsSrtpKeyAgreement"

const val PEER_CREATE_ERROR = "PeerConnection Create is have Error"
const val DISPLAY_RATING = "displayRating"
const val MATCH_IDX = "matchIdx"
const val CALL_STARTED = "call started"
const val WAITING_TEXT = "waiting_text"
const val DISCONNECTION = "disconnection"
const val MATCHED = "matched"
const val OTHER = "other"
const val STATUS = "status"

const val HANGUP = "hangup"
const val FINISHED = "finished"
const val TIMEOUT = "timeout"

const val OFFER = "offer"
const val ANSWER = "answer"
const val CANDIDATE = "candidate"

// IceCandidate 에서 주고받을 데이터 키값
const val TYPE = "type"
const val SDP = "sdp"
const val ID = "id"
const val LABEL = "label"

// UserJoinInfo 주고받을 키값
const val TOKEN = "token"
const val PASSWORD = "password"
const val SKIN = "skin"

// terminate, disconnect 상태에서 받을 데이터 키값
const val TERMINATED_CASE = "terminationCase"
const val SERVER_DISCONNECT = "io server disconnect"

// 소켓 통신 관련 상수들
const val RECONNECTION = true                   // 재연결 시도 여부
const val RANDOMIZATION_FACTOR = 1.0            // 지연시간 오차 범위
const val RECONNECTION_ATTEMPTS = 10            // 재연결 시도 횟수
const val RECONNECTION_DELAY = 1000L             // 재연결 시도 시간
const val RECONNECTION_DELAY_MAX = 1000L         // 최대 재연결 시도 시간
