package com.noorija.secret.guard.model

enum class SocketEventType {SOCKET_CONNECTED,
    SOCKET_DISCONNECTED,
    SOCKET_CLOSED,
    SOCKET_ERROR,
    SOCKET_FAILED_SERVER_HEARTBEAT
}

data class SocketModel (val eventType: SocketEventType, val data: Any)

data class StompPayload(
    var mType: String
    , var mykey: String
    , var msgDesc: String
    , var langCd: String
    , var qrNo: String
    , var currentDate: String
    , var callSeq: String
    , var membNo: String
    , var roomId: String
)
