package com.noorija.secret.guard.util

import android.os.Handler
import android.os.Looper
import com.squareup.otto.Bus

class EventBus : Bus() {
    companion object {
        private var instance: EventBus? = null

        fun getInstance(): EventBus? {
            if (instance == null) instance = EventBus()
            return instance
        }

    }

    private val handler: Handler = Handler(Looper.getMainLooper())

    override fun post(event: Any) {
        if (Looper.myLooper() == Looper.getMainLooper()) {
            super.post(event)
        } else {
            handler.post { super@EventBus.post(event) }
        }
    }


}