package com.noorija.secret.guard.view.fragment

import android.os.Bundle
import androidx.fragment.app.viewModels
import com.noorija.secret.guard.R
import com.noorija.secret.guard.databinding.FmtQrcodeBinding
import com.noorija.secret.guard.viewmodel.fragment.QrcodeFragmentViewModel

class QrcodeFragment : BaseFragment<FmtQrcodeBinding, QrcodeFragmentViewModel>() {
    companion object {
        @JvmStatic
        fun newInstance() =
            QrcodeFragment().apply {
                arguments = Bundle().apply {
                }
            }
    }

    override val layoutResourceId: Int
        get() = R.layout.fmt_qrcode
    override val viewModel : QrcodeFragmentViewModel by viewModels()

    override fun initDataBinding() {
    }

    override fun initAfterBinding() {
        viewDataBinding.viewModel = viewModel
        subscribeData()
    }

    private fun subscribeData() {

    }
}