package com.noorija.secret.guard.view.fragment

import android.os.Bundle
import androidx.fragment.app.viewModels
import com.noorija.secret.guard.R
import com.noorija.secret.guard.databinding.FmtSettingBinding
import com.noorija.secret.guard.viewmodel.fragment.SettingFragmentViewModel

class SettingFragment : BaseFragment<FmtSettingBinding, SettingFragmentViewModel>() {
    companion object {
        @JvmStatic
        fun newInstance() =
            SettingFragment().apply {
                arguments = Bundle().apply {
                }
            }
    }

    override val layoutResourceId: Int
        get() = R.layout.fmt_setting
    override val viewModel : SettingFragmentViewModel by viewModels()

    override fun initDataBinding() {
    }

    override fun initAfterBinding() {
        viewDataBinding.viewModel = viewModel
        subscribeData()
    }

    private fun subscribeData() {

    }
}