package com.noorija.secret.guard.webrtc

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.os.Build
import com.gun0912.tedpermission.provider.TedPermissionProvider

class FindCallAlarmReceiver: BroadcastReceiver() {
    override fun onReceive(context: Context?, intent: Intent?) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            val intent = Intent(TedPermissionProvider.context, FindCallRestartService::class.java)
            TedPermissionProvider.context.startForegroundService(intent)
        } else {
            val intent = Intent(TedPermissionProvider.context, FindCallService::class.java)
            TedPermissionProvider.context.startService(intent)
        }
    }
}