package com.noorija.secret.guard.webrtc

import android.app.AlarmManager
import android.app.PendingIntent
import android.app.Service
import android.content.Context
import android.content.Intent
import android.os.IBinder
import java.util.Calendar


class FindCallService: Service() {
    companion object {

    }

    override fun onBind(intent: Intent?): IBinder? {
        return null;
    }

    override fun onUnbind(intent: Intent): Boolean {
        return super.onUnbind(intent)

        setAlarmTimer()
    }

    override fun onCreate() {
        super.onCreate()
    }

    override fun onStartCommand(intent: Intent?, flags: Int, startId: Int): Int {
        return START_STICKY
    }

    override fun onDestroy() {
        super.onDestroy()
        setAlarmTimer()
    }

    private fun setAlarmTimer() {
        val calendar: Calendar = Calendar.getInstance()
        calendar.setTimeInMillis(System.currentTimeMillis())
        calendar.add(Calendar.SECOND, 1)
        val intent = Intent(this, FindCallAlarmReceiver::class.java)
        val sender = PendingIntent.getBroadcast(this, 0, intent, PendingIntent.FLAG_IMMUTABLE)

        val mAlarmManager = getSystemService(Context.ALARM_SERVICE) as AlarmManager
        mAlarmManager[AlarmManager.RTC_WAKEUP, calendar.getTimeInMillis()] = sender
    }
}